#include "F2837xD_device.h"     // F2837xD Headerfile Include File
#include "F2837xD_Examples.h"   // F2837xD Examples Include File
/////
// This function initializes GPIO pins to function as SPI pins
//
// Each GPIO pin can be configured as a GPIO pin or up to 3 different
// peripheral functional pins. By default all pins come up as GPIO
// inputs after reset.
//
// Caution:
// For each SPI peripheral
// Only one GPIO pin should be enabled for SPISOMO operation.
// Only one GPIO pin should be enabled for SPISOMI operation.
// Only one GPIO pin should be enabled for SPICLK  operation.
// Only one GPIO pin should be enabled for SPISTE  operation.

void InitSpiGpio()
{
   InitSpiaGpio();
   InitSpibGpio();
}

void InitSpiaGpio()
{

   EALLOW;

   /* Enable internal pull-up for the selected pins */
   // Pull-ups can be enabled or disabled by the user.
   // This will enable the pullups for the specified pins.

       GpioCtrlRegs.GPAPUD.bit.GPIO18 = 0;   // Enable pull-up on GPIO18 (SPICLKA)

   /* Set qualification for selected pins to asynch only */
   // This will select asynch (no qualification) for the selected pins.

       GpioCtrlRegs.GPAQSEL2.bit.GPIO18 = 3; // Asynch input GPIO18 (SPICLKA)

   /* Configure SPI-A pins using GPIO regs*/
   // This specifies which of the possible GPIO pins will be SPI functional pins.

       GpioCtrlRegs.GPAMUX2.bit.GPIO18 = 1; // Configure GPIO18 as SPICLKA
}
void InitSpibGpio()
{

   EALLOW;

    /* Enable internal pull-up for the selected pins */
    // Pull-ups can be enabled or disabled by the user.
    // This will enable the pullups for the specified pins.

        GpioCtrlRegs.GPBPUD.bit.GPIO60 = 0;   // Enable pull-up on GPIO6 (SPISIMOB)
        GpioCtrlRegs.GPBPUD.bit.GPIO61 = 0;   // Enable pull-up on GPIO61(SPISOMIB)

    /* Set qualification for selected pins to asynch only */
    // This will select asynch (no qualification) for the selected pins.

        GpioCtrlRegs.GPBQSEL2.bit.GPIO60 = 3; // Asynch input GPIO16 (SPISIMOB)
        GpioCtrlRegs.GPBQSEL2.bit.GPIO61 = 3; // Asynch input GPIO17 (SPISOMIB)

    /* Configure SPI-B pins using GPIO regs*/
    // This specifies which of the possible GPIO pins will be SPI functional pins.

        GpioCtrlRegs.GPBGMUX2.bit.GPIO60 = 1;
        GpioCtrlRegs.GPBGMUX2.bit.GPIO61 = 1;


        GpioCtrlRegs.GPBMUX2.bit.GPIO60 = 2; // Configure GPIO60 as SPISIMOB
        GpioCtrlRegs.GPBMUX2.bit.GPIO61 = 2; // Configure GPIO61 as SPISOMIB


    // Enable an GPIO output on GPIO125, set it high

       GpioDataRegs.GPDSET.bit.GPIO125 = 1;   // Load output latch
       GpioCtrlRegs.GPDMUX2.bit.GPIO125 = 0;  // GPIO125 = GPIO125
       GpioCtrlRegs.GPDDIR.bit.GPIO125 = 1;   // GPIO125 = output

    // Enable an GPIO output on GPIO32, set it high

       GpioDataRegs.GPBSET.bit.GPIO32 = 1;   // Load output latch
       GpioCtrlRegs.GPBMUX1.bit.GPIO32 = 0;  // GPIO32 = GPIO32
       GpioCtrlRegs.GPBDIR.bit.GPIO32 = 1;   // GPIO32 = output


    // Enable an GPIO output on GPIO19, set it high

       GpioDataRegs.GPASET.bit.GPIO19 = 1;   // Load output latch
       GpioCtrlRegs.GPAMUX2.bit.GPIO19 = 0;  // GPIO19= GPIO19
       GpioCtrlRegs.GPADIR.bit.GPIO19 = 1;   // GPIO19 output


    EDIS;
}

//===========================================================================
// End of file.
//===========================================================================
